Upgrade schlägt fehl - Plesk 8.3.0 auf Linux

Folgende Meldung beim Versuch den Plesk upzugraden: Upgrade fails with the „Failed to check whether a new license key is available“ error.

Ursache ist ein veralteter Autoinstaller. Dieser muss zuerst manuell geupdatet werden.

Lösung:

Beispiel für Centos5-i386:

wget http://download1.swsoft.com/Plesk/Plesk8.3/CentOS5/swsoft_installer_v3.3.0_build080116.12_os_CentOS_5_i386
cp swsoft_installer_v3.3.0_build080116.12_os_CentOS_5_i386 /usr/local/psa/bin/autoinstaller
cp swsoft_installer_v3.3.0_build080116.12_os_CentOS_5_i386 /usr/local/psa/admin/sbin/autoinstaller
chmod 755 /usr/local/psa/admin/sbin/autoinstaller /usr/local/psa/bin/autoinstaller
chown root:root /usr/local/psa/admin/sbin/autoinstaller /usr/local/psa/bin/autoinstaller

Sollte der Autoinstaller noch als Prozess laufen, muss er zuerst gekillt werden, sonst läßt sich die Datei nicht überschreiben!

Diskussion

Geben Sie Ihren Kommentar ein. Wiki-Syntax ist zugelassen:
R M B X J